/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */ 
//
//
// -------- Grays --------
$gray-000:        #fafbfc !default;
$gray-100:        #f6f8fa !default;
$gray-200:        #e1e4e8 !default;
$gray-300:        #d1d5da !default;
$gray-400:        #959da5 !default;
$gray-500:        #6a737d !default;
$gray-600:        #586069 !default;
$gray-700:        #444d56 !default;
$gray-800:        #2f363d !default;
$gray-900:        #24292e !default; // body font color

// -------- Blue --------
$blue-000:        #f1f8ff !default;
$blue-100:        #dbedff !default;
$blue-200:        #c8e1ff !default;
$blue-300:        #79b8ff !default;
$blue-400:        #2188ff !default;
$blue-500:        #0366d6 !default; // Default: Passes AA with #fff
$blue-600:        #005cc5 !default;
$blue-700:        #044289 !default;
$blue-800:        #032f62 !default;
$blue-900:        #05264c !default; // Passes with 1/2/300 blues

// -------- Green --------
$green-000:       #f0fff4 !default;
$green-100:       #dcffe4 !default;
$green-200:       #bef5cb !default;
$green-300:       #85e89d !default;
$green-400:       #34d058 !default;
$green-500:       #28a745 !default; // Default. passes AA Large
$green-600:       #22863a !default; // Text green, passes AA on #fff
$green-700:       #176f2c !default;
$green-800:       #165c26 !default;
$green-900:       #144620 !default;

// -------- Yellow --------
$yellow-000:      #fffdef !default;
$yellow-100:      #fffbdd !default;
$yellow-200:      #fff5b1 !default;
$yellow-300:      #ffea7f !default;
$yellow-400:      #ffdf5d !default;
$yellow-500:      #ffd33d !default;
$yellow-600:      #f9c513 !default;
$yellow-700:      #dbab09 !default;
$yellow-800:      #b08800 !default;
$yellow-900:      #735c0f !default;

// -------- Orange --------
$orange-000:      #fff8f2 !default;
$orange-100:      #ffebda !default;
$orange-200:      #ffd1ac !default;
$orange-300:      #ffab70 !default;
$orange-400:      #fb8532 !default;
$orange-500:      #f66a0a !default; // Default. passes AA Large with #fff
$orange-600:      #e36209 !default;
$orange-700:      #d15704 !default;
$orange-800:      #c24e00 !default;
$orange-900:      #a04100 !default;

// -------- Red --------
$red-000:         #ffeef0 !default;
$red-100:         #ffdce0 !default;
$red-200:         #fdaeb7 !default;
$red-300:         #f97583 !default;
$red-400:         #ea4a5a !default;
$red-500:         #d73a49 !default; // Default. passes AA
$red-600:         #cb2431 !default;
$red-700:         #b31d28 !default;
$red-800:         #9e1c23 !default;
$red-900:         #86181d !default;

// -------- Purple --------
$purple-000:      #f5f0ff !default;
$purple-100:      #e6dcfd !default;
$purple-200:      #d1bcf9 !default;
$purple-300:      #b392f0 !default;
$purple-400:      #8a63d2 !default;
$purple-500:      #6f42c1 !default; // passes AA with #fff
$purple-600:      #5a32a3 !default;
$purple-700:      #4c2889 !default;
$purple-800:      #3a1d6e !default;
$purple-900:      #29134e !default;

// -------- Fades --------
// Black based on same hue as $gray-900
$black: #1b1f23 !default;
$white: #fff !default;

$black-fade-15:      transparentize($black, 0.85) !default;
$black-fade-30:      transparentize($black, 0.7) !default;
$black-fade-50:      transparentize($black, 0.5) !default;
$black-fade-70:      transparentize($black, 0.3) !default;
$black-fade-85:      transparentize($black, 0.15) !default;

$white-fade-15:      transparentize($white, 0.85) !default;
$white-fade-30:      transparentize($white, 0.7) !default;
$white-fade-50:      transparentize($white, 0.5) !default;
$white-fade-70:      transparentize($white, 0.3) !default;
$white-fade-85:      transparentize($white, 0.15) !default;

// -------- Color System --------
//$red:         $red-500 !default;
//$purple:      $purple-500 !default;
//$blue:        $blue-500 !default;
//$green:       $green-500 !default;
//$yellow:      $yellow-500 !default;
//$orange:      $orange-500 !default;
//
//$gray-dark:   $gray-900 !default;
//$gray-light:  $gray-400 !default;
//$gray:        $gray-500 !default;

// Highlight used for things like search
$highlight-yellow: rgba(255, 247, 140, 0.5);

// Border colors
$border-black-fade:  $black-fade-15 !default;

$border-blue:        $blue-500 !default;
$border-blue-light:  $blue-200 !default;

$border-green:       $green-400 !default;
$border-green-light: desaturate($green-300, 40%) !default;

$border-red:         $red !default;
$border-red-light:   desaturate($red-300, 60%) !default;

$border-purple:      $purple !default;

$border-yellow:      desaturate($yellow-300, 60%) !default;

$border-gray-dark:   $gray-300 !default;
$border-gray-darker: $gray-700 !default;
$border-gray-light:  lighten($gray-200, 3%) !default;
$border-gray:        $gray-200 !default;

// Background colors
$bg-blue-light:     $blue-000 !default;
$bg-blue:           $blue-500 !default;
$bg-gray-dark:      $gray-900 !default;
$bg-gray-light:     $gray-000 !default;
$bg-gray:           $gray-100 !default;
$bg-green:          $green-500 !default;
$bg-green-light:    $green-100 !default;
$bg-orange:         $orange-700 !default;
$bg-purple:         $purple-500 !default;
$bg-purple-light:   $purple-000 !default;
$bg-red:            $red-500 !default;
$bg-red-light:      $red-100 !default;
$bg-white:          $white !default;
$bg-yellow:         $yellow-500 !default;
$bg-yellow-light:   $yellow-200 !default;

// Text colors
$text-blue:         $blue-500 !default;
$text-gray-dark:    $gray-900 !default;
$text-gray-light:   $gray-500 !default;
$text-gray:         $gray-600 !default;
$text-green:        $green-500 !default;
$text-orange:       $orange-900 !default;
$text-orange-light: $orange-600 !default;
$text-purple:       $purple !default;
$text-red:          $red-600 !default;
$text-white:        $white !default;